#!/bin/sh

# Un script pour déployer un site en SFTP avec la commande lftp.
# Configurer les variables ci-dessous.
#
# ATTENTION, une catastrophe est vite arrivée!
# Après configuration, bien tester ce qui va se passer, en lançant
# le script avec 'test' comme argument: lftp donnera alors
# la liste de tout ce qu'il ferait, mais sans le faire.
#
# Remarque: je ne passe pas de mot de passe à lftp, car je m'identifie
# avec une clef SSH. Pour utiliser un mot de passe, il faudra
# modifier l'appel à lftp.

#------------------------------------------------------------------------
# répertoire de destination:
destdir='/www-dev/animals'
# fichiers/répertoires à ne pas transférer
# (regex matche les chemins complets; les répertoires
# doivent se terminer par un slash):
excludes='^(.*/)?(\.git.*|.*~|\..*\.sw[po]|deploy\.sh)$'
# infos de connexion:
user='niveau'
host='niveau.users.greyc.fr'
#------------------------------------------------------------------------

# regarde si le premier argument du script est 'test',
# auquel cas rien n'est transmis
if [ "$1" = "test" ]
then dryrun="--dry-run"
else dryrun=""
fi

# récupère le répertoire dans lequel est le script
# (pas forcément le répertoire courant)
localdir="$(cd -P -- "$(dirname -- "$0")" && pwd -P)"

# transfert
lftp -c "open -u \"$user\", \"sftp://$host\"; mirror $dryrun -cvRLe -x \"$excludes\" \"$localdir/\" \"$destdir/\""

