<?php

/**
 * Représente un animal sur lequel on va afficher des informations.
 */
class Animal {

	/** Le nom de cet animal */
	protected $name;

	/** L'espèce de cet animal */
	protected $species;

	/** L'âge de cet animal */
	protected $age;

	/**
	 * Construit un nouvel animal.
	 */
	public function __construct($name, $species, $age) {
		$this->name = $name;
		$this->species = $species;
		$this->age = $age;
	}

	/**
	 * Renvoie le nom de cet animal.
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Renvoie l'espèce de cet animal.
	 */
	public function getSpecies() {
		return $this->species;
	}

	/**
	 * Renvoie l'âge de cet animal.
	 */
	public function getAge() {
		return $this->age;
	}

}

?>
